## ros-rolling-rmw-fastrtps-shared-cpp 7.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,10 @@
 
 project(rmw_fastrtps_shared_cpp)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -34,19 +35,26 @@
 endif()
 
 find_package(ament_cmake_ros REQUIRED)
+find_package(rosidl_dynamic_typesupport REQUIRED)
+find_package(rosidl_dynamic_typesupport_fastrtps REQUIRED)
 
 find_package(rcpputils REQUIRED)
 find_package(rcutils REQUIRED)
 find_package(rmw_dds_common REQUIRED)
+find_package(rosidl_runtime_c REQUIRED)
+find_package(rosidl_typesupport_introspection_c REQUIRED)
+find_package(rosidl_typesupport_introspection_cpp REQUIRED)
+find_package(tracetools REQUIRED)
 
 find_package(fastrtps_cmake_module REQUIRED)
 find_package(fastcdr REQUIRED CONFIG)
-find_package(fastrtps 2.3 REQUIRED CONFIG)
-find_package(FastRTPS 2.3 REQUIRED MODULE)
+find_package(fastrtps 2.10 REQUIRED CONFIG)
+find_package(FastRTPS 2.10 REQUIRED MODULE)
 
 find_package(rmw REQUIRED)
 
 add_library(rmw_fastrtps_shared_cpp
+  src/custom_participant_info.cpp
   src/custom_publisher_info.cpp
   src/custom_subscriber_info.cpp
   src/create_rmw_gid.cpp
@@ -61,7 +69,9 @@
   src/rmw_compare_gids_equal.cpp
   src/rmw_count.cpp
   src/rmw_event.cpp
+  src/rmw_features.cpp
   src/rmw_get_endpoint_network_flow.cpp
+  src/rmw_get_gid_for_client.cpp
   src/rmw_get_gid_for_publisher.cpp
   src/rmw_get_topic_endpoint_info.cpp
   src/rmw_guard_condition.cpp
@@ -93,9 +103,11 @@
 target_include_directories(rmw_fastrtps_shared_cpp
   PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 target_link_libraries(rmw_fastrtps_shared_cpp
   fastcdr fastrtps
+  rosidl_dynamic_typesupport::rosidl_dynamic_typesupport
+  rosidl_dynamic_typesupport_fastrtps::rosidl_dynamic_typesupport_fastrtps
 )
 
 # specific order: dependents before dependencies
@@ -104,6 +116,9 @@
   "rcutils"
   "rmw"
   "rmw_dds_common"
+  "rosidl_typesupport_introspection_c"
+  "rosidl_typesupport_introspection_cpp"
+  "tracetools"
 )
 
 # Causes the visibility macros to use dllexport rather than dllimport,
@@ -111,15 +126,24 @@
 target_compile_definitions(${PROJECT_NAME}
 PRIVATE "RMW_FASTRTPS_SHARED_CPP_BUILDING_LIBRARY")
 
-# specific order: dependents before dependencies
-ament_export_include_directories(include)
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(rmw_fastrtps_shared_cpp)
+
+# Export modern CMake targets
 ament_export_targets(rmw_fastrtps_shared_cpp)
 
+# specific order: dependents before dependencies
 ament_export_dependencies(rcpputils)
 ament_export_dependencies(rcutils)
 ament_export_dependencies(rmw)
 ament_export_dependencies(rmw_dds_common)
+ament_export_dependencies(rosidl_typesupport_introspection_c)
+ament_export_dependencies(rosidl_typesupport_introspection_cpp)
+ament_export_dependencies(tracetools)
+
+ament_export_dependencies(rosidl_dynamic_typesupport_fastrtps)
+ament_export_dependencies(rosidl_dynamic_typesupport)
 
 if(BUILD_TESTING)
   find_package(ament_lint_auto REQUIRED)
@@ -133,7 +157,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 install(
