=== debian/changelog ===
ros-rolling-rmw-fastrtps-shared-cpp (7.5.0-1jammy) jammy; urgency=high

  * Switch to using rclcpp::unique_lock. (#712 <https://github.com/ros2/rmw_fastrtps/issues/712>)
  * Use DataWriter Qos to configure max_blocking_time on rmw_send_response (#704 <https://github.com/ros2/rmw_fastrtps/issues/704>)
  * Contributors: Chris Lalancette, Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.4.0-1jammy) jammy; urgency=high

  * Clear out errors once we have handled them. (#701 <https://github.com/ros2/rmw_fastrtps/issues/701>)
  * Instrument loaned message publication code path (#698 <https://github.com/ros2/rmw_fastrtps/issues/698>)
  * Add in a missing data_reader check when creating subscription. (#697 <https://github.com/ros2/rmw_fastrtps/issues/697>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.3.0-1jammy) jammy; urgency=high

  * Use TRACETOOLS_ prefix for tracepoint-related macros (#686 <https://github.com/ros2/rmw_fastrtps/issues/686>)
  * typo fix. (#693 <https://github.com/ros2/rmw_fastrtps/issues/693>)
  * Contributors: Christophe Bedard, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.2.1-1jammy) jammy; urgency=high

  * address clang nightly build error. (#689 <https://github.com/ros2/rmw_fastrtps/issues/689>)
  * Check for errors while doing an rmw_discovery_options_copy. (#690 <https://github.com/ros2/rmw_fastrtps/issues/690>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.2.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.1.1-1jammy) jammy; urgency=high

  * Fix matched event issues (#683 <https://github.com/ros2/rmw_fastrtps/issues/683>)
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.1.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_fastrtps (#687 <https://github.com/ros2/rmw_fastrtps/issues/687>)
  * Check for triggered guard conditions before waiting (#685 <https://github.com/ros2/rmw_fastrtps/issues/685>)
  * Runtime Interface Reflection: rmw_fastrtps (#655 <https://github.com/ros2/rmw_fastrtps/issues/655>)
  * [rmw_fastrtps] Improve handling of dynamic discovery (#653 <https://github.com/ros2/rmw_fastrtps/issues/653>)
  * Type hash distribution in discovery (rep2011) (#671 <https://github.com/ros2/rmw_fastrtps/issues/671>)
  * Implement matched event (#645 <https://github.com/ros2/rmw_fastrtps/issues/645>)
  * Implement inconsistent topic event (#654 <https://github.com/ros2/rmw_fastrtps/issues/654>)
  * Update all rmw_fastrtps packages to C++17. (#674 <https://github.com/ros2/rmw_fastrtps/issues/674>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Michael Carroll, methylDragon

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.0.0-1jammy) jammy; urgency=high

  * Rewrite how Topics are tracked in rmw_fastrtps_cpp. (#669 <https://github.com/ros2/rmw_fastrtps/issues/669>)
  * Delay lock on message callback setters (#657 <https://github.com/ros2/rmw_fastrtps/issues/657>)
  * Make sure to add semicolons to the CHECK_TYPE_IDENTIFIER_MATCH. (#658 <https://github.com/ros2/rmw_fastrtps/issues/658>)
  * Allow loaned messages without data-sharing (#568 <https://github.com/ros2/rmw_fastrtps/issues/568>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>)
  * [rolling] Update maintainers - 2022-11-07 (#643 <https://github.com/ros2/rmw_fastrtps/issues/643>)
  * Contributors: Audrow Nash, Chris Lalancette, Miguel Company, Oscarchoi

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.5.0-1jammy) jammy; urgency=high

  * Remove duplicated code (#637 <https://github.com/ros2/rmw_fastrtps/issues/637>)
  * Call callbacks only if unread count > 0 (#634 <https://github.com/ros2/rmw_fastrtps/issues/634>)
  * Add rmw_get_gid_for_client impl (#631 <https://github.com/ros2/rmw_fastrtps/issues/631>)
  * Contributors: Barry Xu, Brian, mauropasse

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.4.0-1jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (#619 <https://github.com/ros2/rmw_fastrtps/issues/619>)
  * Take all available samples on service/client on_data_available. (#616 <https://github.com/ros2/rmw_fastrtps/issues/616>)
  * Revert "add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)" (#612 <https://github.com/ros2/rmw_fastrtps/issues/612>)
  * add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)
  * Contributors: Miguel Company, Ricardo González, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.3.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.2.1-1jammy) jammy; urgency=high

  * Address linter waning for windows. (#592 <https://github.com/ros2/rmw_fastrtps/issues/592>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)

